curl --request POST \
--url 'https://api.stateset.com/api/v1/revenue-obligations/{id}/schedule' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"deferred_total": "49.00",
"entries": [
{
"amount": "49.00",
"period": 1,
"period_start": "string",
"status": "pending"
}
],
"obligation_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"recognized_total": "49.00",
"total_amount": "102.12"
}
Generate schedule (/api/v1/revenue-obligations/{id}/schedule)
Generate schedule (/api/v1/revenue-obligations//schedule)
POST
/
api
/
v1
/
revenue-obligations
/
{id}
/
schedule
curl --request POST \
--url 'https://api.stateset.com/api/v1/revenue-obligations/{id}/schedule' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"deferred_total": "49.00",
"entries": [
{
"amount": "49.00",
"period": 1,
"period_start": "string",
"status": "pending"
}
],
"obligation_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"recognized_total": "49.00",
"total_amount": "102.12"
}
Path parameters
string
required
Performance obligation ID
Response
RevenueScheduleResponse
string
required
RevenueScheduleEntryResponse[]
required
string
required
string
required
string
required
Status codes
| Code | Meaning |
|---|---|
200 | — |
409 | — |
curl --request POST \
--url 'https://api.stateset.com/api/v1/revenue-obligations/{id}/schedule' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"deferred_total": "49.00",
"entries": [
{
"amount": "49.00",
"period": 1,
"period_start": "string",
"status": "pending"
}
],
"obligation_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"recognized_total": "49.00",
"total_amount": "102.12"
}
Last modified on August 31, 2026